apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    deployment.kubernetes.io/revision: "1"
  creationTimestamp: "2024-12-11T23:21:39Z"
  generation: 1
  labels:
    app: submariner-lighthouse-coredns
    component: submariner-lighthouse
  managedFields:
  - apiVersion: apps/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:labels:
          .: {}
          f:app: {}
          f:component: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"8a22a72c-35e3-4ae7-ae10-a801feb4da4f"}: {}
      f:spec:
        f:progressDeadlineSeconds: {}
        f:replicas: {}
        f:revisionHistoryLimit: {}
        f:selector: {}
        f:strategy:
          f:rollingUpdate:
            .: {}
            f:maxSurge: {}
            f:maxUnavailable: {}
          f:type: {}
        f:template:
          f:metadata:
            f:labels:
              .: {}
              f:app: {}
              f:component: {}
          f:spec:
            f:containers:
              k:{"name":"submariner-lighthouse-coredns"}:
                .: {}
                f:args: {}
                f:env:
                  .: {}
                  k:{"name":"SUBMARINER_CLUSTERID"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                f:image: {}
                f:imagePullPolicy: {}
                f:name: {}
                f:resources: {}
                f:securityContext:
                  .: {}
                  f:allowPrivilegeEscalation: {}
                  f:capabilities:
                    .: {}
                    f:add: {}
                    f:drop: {}
                  f:readOnlyRootFilesystem: {}
                f:terminationMessagePath: {}
                f:terminationMessagePolicy: {}
                f:volumeMounts:
                  .: {}
                  k:{"mountPath":"/etc/coredns"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
                    f:readOnly: {}
            f:dnsPolicy: {}
            f:restartPolicy: {}
            f:schedulerName: {}
            f:securityContext: {}
            f:serviceAccount: {}
            f:serviceAccountName: {}
            f:terminationGracePeriodSeconds: {}
            f:volumes:
              .: {}
              k:{"name":"config-volume"}:
                .: {}
                f:configMap:
                  .: {}
                  f:defaultMode: {}
                  f:items: {}
                  f:name: {}
                f:name: {}
    manager: submariner-operator
    operation: Update
    time: "2024-12-11T23:21:39Z"
  - apiVersion: apps/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:deployment.kubernetes.io/revision: {}
      f:status:
        f:availableReplicas: {}
        f:conditions:
          .: {}
          k:{"type":"Available"}:
            .: {}
            f:lastTransitionTime: {}
            f:lastUpdateTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
            f:type: {}
          k:{"type":"Progressing"}:
            .: {}
            f:lastTransitionTime: {}
            f:lastUpdateTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
            f:type: {}
        f:observedGeneration: {}
        f:readyReplicas: {}
        f:replicas: {}
        f:updatedReplicas: {}
    manager: kube-controller-manager
    operation: Update
    subresource: status
    time: "2025-02-14T13:33:27Z"
  name: submariner-lighthouse-coredns
  namespace: submariner-operator
  ownerReferences:
  - apiVersion: submariner.io/v1alpha1
    blockOwnerDeletion: true
    controller: true
    kind: ServiceDiscovery
    name: service-discovery
    uid: 8a22a72c-35e3-4ae7-ae10-a801feb4da4f
  resourceVersion: "80074536"
  uid: 2aa9ed6a-c71f-41c3-8228-de0eee215985
spec:
  progressDeadlineSeconds: 600
  replicas: 2
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      app: submariner-lighthouse-coredns
  strategy:
    rollingUpdate:
      maxSurge: 25%
      maxUnavailable: 25%
    type: RollingUpdate
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: submariner-lighthouse-coredns
        component: submariner-lighthouse
    spec:
      containers:
      - args:
        - -conf
        - /etc/coredns/Corefile
        env:
        - name: SUBMARINER_CLUSTERID
          value: rdr-blue-site-svl-2
        image: quay.io/submariner/lighthouse-coredns:0.19.0
        imagePullPolicy: IfNotPresent
        name: submariner-lighthouse-coredns
        resources: {}
        securityContext:
          allowPrivilegeEscalation: false
          capabilities:
            add:
            - net_bind_service
            drop:
            - all
          readOnlyRootFilesystem: true
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
        volumeMounts:
        - mountPath: /etc/coredns
          name: config-volume
          readOnly: true
      dnsPolicy: ClusterFirst
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      serviceAccount: submariner-lighthouse-coredns
      serviceAccountName: submariner-lighthouse-coredns
      terminationGracePeriodSeconds: 0
      volumes:
      - configMap:
          defaultMode: 420
          items:
          - key: Corefile
            path: Corefile
          name: submariner-lighthouse-coredns
        name: config-volume
status:
  availableReplicas: 2
  conditions:
  - lastTransitionTime: "2024-12-11T23:21:39Z"
    lastUpdateTime: "2024-12-11T23:21:48Z"
    message: ReplicaSet "submariner-lighthouse-coredns-7c7cd677bb" has successfully
      progressed.
    reason: NewReplicaSetAvailable
    status: "True"
    type: Progressing
  - lastTransitionTime: "2025-02-14T13:33:27Z"
    lastUpdateTime: "2025-02-14T13:33:27Z"
    message: Deployment has minimum availability.
    reason: MinimumReplicasAvailable
    status: "True"
    type: Available
  observedGeneration: 1
  readyReplicas: 2
  replicas: 2
  updatedReplicas: 2
